### Navigation

- index
- modules |
- next |
- previous |
- home|
- search|
- documentation »
- The IPython API »

# Module: `nbconvert.filters.markdown`

Markdown filters This file contains a collection of utility filters for dealing with markdown within Jinja templates.

## 3 Functions

`IPython.nbconvert.filters.markdown.``markdown2latex`(source)

  Convert a markdown string to LaTeX via pandoc.

  This function will raise an error if pandoc is not installed. Any error messages generated by pandoc are printed to stderr.

  Parameters:

  source : string

  > Input string, assumed to be valid markdown.

  Returns:

  out : string

  > Output as returned by pandoc.

`IPython.nbconvert.filters.markdown.``markdown2html`(source)

  Convert a markdown string to HTML via pandoc

`IPython.nbconvert.filters.markdown.``markdown2rst`(source)

  Convert a markdown string to LaTeX via pandoc.

  This function will raise an error if pandoc is not installed. Any error messages generated by pandoc are printed to stderr.

  Parameters:

  source : string

  > Input string, assumed to be valid markdown.

  Returns:

  out : string

  > Output as returned by pandoc.

### Navigation

- index
- modules |
- next |
- previous |
- home|
- search|
- documentation »
- The IPython API »